#ifndef RECORDPAGE_H
#define RECORDPAGE_H

#include <QWidget>
#include <QRadioButton>
#include <QGroupBox>
#include <QVBoxLayout>
#include <QGridLayout>
#include <QLabel>
#include <QPushButton>
#include <QSettings>
#include <QFileDialog>
#include <QCloseEvent>

class RecordPage : public QWidget
{
    Q_OBJECT
public:
    explicit RecordPage(QWidget *parent = 0);
    ~RecordPage();

    QLabel *label_currentDir;

    bool logFileEn;

    QPushButton *button_chooseDir;
    QPushButton *button_storeWfrm;

    QRadioButton *radiobutton_swf_f0;
    QRadioButton *radiobutton_swf_f1;
    QRadioButton *radiobutton_swf_f2;
    QRadioButton *radiobutton_cwf_f1;
    QRadioButton *radiobutton_cwf_f2;
    QRadioButton *radiobutton_cwf_f3;
    QRadioButton *radiobutton_asm_f0;

    QGroupBox *groupbox_waveforms;
    QGroupBox *groupbox_matrices;
    QGroupBox *groupbox_directory;

    QVBoxLayout *vboxlayout_waveforms;
    QVBoxLayout *vboxlayout_matrices;
    QVBoxLayout *vboxlayout_directory;

    QString defaultStorageDirectory;

    QGridLayout *mainLayout;

protected:
    void closeEvent(QCloseEvent *event);

signals:
    void signal_store_swf_f0();
    void signal_store_swf_f1();
    void signal_store_swf_f2();
    void signal_store_cwf_f1();
    void signal_store_cwf_f2();
    void signal_store_cwf_f3();
    void signal_store_asm_f0();
    void signal_defaultStorageDirectoryUpdated( QString nameOfTheDirectory );

public slots:
    void chooseDir();
    void storeWfrm();
    void readSettings();
    void writeSettings();

};

#endif // RECORDPAGE_H
